Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590453 - Yum fails to update fedora-release package
Summary: Yum fails to update fedora-release package
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 16:07 UTC by TR Bentley
Modified: 2013-01-10 05:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 20:16:46 UTC


Attachments (Terms of Use)

Description TR Bentley 2010-05-09 16:07:20 UTC
Description of problem:
Yum fails to update and stops with error when not specifying a package. If you specify a package it works apart from fedora-release

Version-Release number of selected component (if applicable):
Fedora 13 - full patched 

How reproducible:
Every time

Steps to Reproduce:
1. run yum update
2.
3.
  
Actual results:


Expected results:
All packages update

Additional info:
Trace of update from console.  sy = sudo yum - an alias on my box.

[17:02][timali@tigger3] ~ $sy update --releasever=13 fedora-release --nogpgcheck
Loaded plugins: presto, refresh-packagekit, remove-with-leaves
adobe-linux-i386                                                                                                                        |  951 B     00:00     
google-chrome                                                                                                                           |  951 B     00:00     
rpmfusion-free-rawhide                                                                                                                  | 3.2 kB     00:00     
rpmfusion-free-updates                                                                                                                  | 2.8 kB     00:00     
updates/metalink                                                                                                                        |  26 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package fedora-release.noarch 0:13-1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================
 Package                                     Arch                                Version                             Repository                           Size
===============================================================================================================================================================
Updating:
 fedora-release                              noarch                              13-1                                fedora                               24 k

Transaction Summary
===============================================================================================================================================================
Install       0 Package(s)
Upgrade       1 Package(s)

Total size: 24 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
system-release >= 14 is needed by (installed) rpmfusion-free-release-14-0.2.noarch
Please report this error in http://yum.baseurl.org/report
rpmfusion-free-release-14-0.2.noarch has missing requires of system-release >= ('0', '14', None)

Comment 1 Jesse Keating 2010-05-10 20:16:46 UTC
This is a bug with rpmfusion, please file it there.


Note You need to log in before you can comment on or make changes to this bug.